package com.red.circle.wallet.infra.enums;

import java.util.Objects;

/**
 * @author pengliang on 2023/7/2
 */
public enum WalletScriptRes {

  /**
   * 余额不足.
   */
  INSUFFICIENT_BALANCE(-1),

  /**
   * 不存在.
   */
  NOT_EXISTS(-2),

  /**
   * 参数错误.
   */
  PARAM_ERROR(-3);

  private final long status;

  WalletScriptRes(int status) {
    this.status = status;
  }

  public long getStatus() {
    return status;
  }

  public boolean eq(Long status) {
    return Objects.equals(status, this.status);
  }

}
